
Redmine - Feature #25540

Unify fields of subtasks and related issues on issue page

2017-04-07 08:49 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Subtasks and Related issues as shown on issue page have different fields.

Subtasks: status, assigned to, done ratio

Related issue: status, start date, due date

I would like to propose to change Related issues and show same fields as for Subtasks.

Related issues:

Related to Redmine - Defect #32889: Responsive layout for issue tree and issu... Closed

Associated revisions

Revision 18549 - 2019-09-29 02:03 - Go MAEDA

Unify fields of subtasks and related issues on issue page (#25540).

Patch by Takenori TAKAKI.

History

#1 - 2017-04-07 09:44 - Marius BĂLTEANU

Related to #3425

#2 - 2019-06-20 16:50 - Takenori TAKAKI

- File 25540.png added

- File 25540.patch added

 25540.png 

I made a patch to display the same field on Subtasks and Related issue.

#3 - 2019-06-21 05:25 - Go MAEDA

- Target version set to 4.1.0

This patch is small, so I think we can include in 4.1.0.

#4 - 2019-09-08 17:54 - Anonymous

+1, why no commit yet?

#5 - 2019-09-28 14:07 - Marius BĂLTEANU

Looks good to me and it's a useful improvement until we make these columns configurable in the admin.

#6 - 2019-09-28 14:07 - Marius BĂLTEANU

- Assignee set to Go MAEDA

#7 - 2019-09-29 02:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/3425


Committed the patch. Thank you all for your contribution.

#8 - 2020-01-26 21:48 - Marius BĂLTEANU

- Related to Defect #32889: Responsive layout for issue tree and issue relation on issue page is broken added

Files

25540.png 216 KB 2019-06-20 Takenori TAKAKI

25540.patch 1.65 KB 2019-06-20 Takenori TAKAKI
